gRPC C#
gRPC C#
Namespaces
Grpc.Core
Calls Class
Calls Methods

Calls Class

Helper methods for generated clients to make RPC calls. Most users will use this class only indirectly and will be making calls using client object generated from protocol buffer definition files.
Inheritance Hierarchy
System
Object
Grpc.Core
Calls

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static class Calls

    Public NotInheritable Class Calls

    public ref class Calls abstract sealed

    [<AbstractClassAttribute>]
    [<SealedAttribute>]
    type Calls =  class end

The Calls type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| AsyncClientStreamingCall TRequest, TResponse | Invokes a client streaming call asynchronously. In client streaming scenario, client sends a stream of requests and server responds with a single response.
| AsyncDuplexStreamingCall TRequest, TResponse | Invokes a duplex streaming call asynchronously. In duplex streaming scenario, client sends a stream of requests and server responds with a stream of responses. The response stream is completely independent and both side can be sending messages at the same time.
| AsyncServerStreamingCall TRequest, TResponse | Invokes a server streaming call asynchronously. In server streaming scenario, client sends on request and server responds with a stream of responses.
| AsyncUnaryCall TRequest, TResponse | Invokes a simple remote call asynchronously.
| BlockingUnaryCall TRequest, TResponse | Invokes a simple remote call in a blocking fashion.

Top
See Also

#### Reference

Grpc.Core Namespace